import os
import sys
from datetime import datetime, timedelta



sys.path.append(os.getcwd())
from datetime import datetime
from common import MysqlHelper


class sqlCollect():
    """
    视频信息写入库中
    """
    @classmethod
    def insert_task(cls, task_mark, video_id, mark):
        current_time = datetime.now()
        formatted_time = current_time.strftime("%Y-%m-%d %H:%M:%S")
        insert_sql = f"""INSERT INTO pj_video_data (task_name, used_video_id, mark_name, data_time) values ('{task_mark}' ,'{video_id}','{mark}', '{formatted_time}')"""
        MysqlHelper.update_values(
            sql=insert_sql
        )

    """
    判断该任务id是否用过
    """
    @classmethod
    def is_used(cls, task_mark, video_id, mark_name):
        sql = """
            SELECT used_video_id
            FROM pj_video_data
            WHERE used_video_id = %s AND task_name = %s AND mark_name = %s 
            ORDER BY data_time DESC
            LIMIT 1
        """
        data = MysqlHelper.get_values(sql, (str(video_id), task_mark, mark_name))
        if len(data) == 0 or data == ():
            return True
        return False

